<form class="flexcol" autocomplete="off">
  <!-- Config Settings Configuration Tabs -->
  <nav class="sheet-tabs tabs" data-group="sections">
    <a class="item" data-tab="gm"><i class="fas fa-dice-d20"></i> {{localize "midi-qol.GMSettings"}}</a>
    <a class="item" data-tab="player"><i class="fas fa-dice-d20"></i> {{localize "midi-qol.PlayerSettings"}}</a>
    <a class="item" data-tab="workflow"><i class="fas fa-cogs"></i> {{localize "midi-qol.Workflow"}}</a>
    <a class="item" data-tab="concentration"><i class="fas fa-cogs"></i> {{localize
      "midi-qol.concentrationCheckName"}}</a>
    <a class="item" data-tab="reactions"><i class="fas fa-cogs"></i> {{localize "midi-qol.ReactionsTab"}}</a>
    <a class="item" data-tab="misc"><i class="fas fa-cogs"></i> {{localize "midi-qol.Misc"}}</a>
    <a class="item" data-tab="game-mechanics"><i class="fas fa-cogs"></i> {{localize "midi-qol.Mechanics"}}</a>
    <a class="item" data-tab="optional-rules"><i class="fas fa-cogs"></i> {{localize "midi-qol.Optional"}}</a>
    <a class="item" data-tab="quicksettings"><i class="fas fa-cogs"></i> {{localize "midi-qol.QuickSettings"}}</a>

  </nav>
  <section id="config-tabs" class="content">
    <!-- GM Tab -->
    <div class="tab midi-scrollable-list" data-tab="gm" data-group="sections">
      <div class="midi-qol-box">
        <div class="form-group">
          <label>{{localize "midi-qol.AutoAttack.Name"}}</label>
          <input type="checkbox" name="gmAutoAttack" data-dtype="Boolean" {{checked configSettings.gmAutoAttack}} />
        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.ConsumeResource.Name"}}</label>
          <select name="gmConsumeResource" data-dtype="String">
            {{selectOptions ConsumeResourceOptions selected=configSettings.gmConsumeResource}}
          </select>
          <div class="notes midi-qol-faint">{{{localize "midi-qol.ConsumeResource.Hint"}}}</div>

        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.AutoFastForwardAttack.Name"}}</label>
          <input type="checkbox" name="gmAutoFastForwardAttack" data-dtype="Boolean" {{checked
            configSettings.gmAutoFastForwardAttack}} />
        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.AutoDamage.Name"}}</label>
          <select name="gmAutoDamage" data-dtype="String">
            {{selectOptions autoRollDamageOptions selected=configSettings.gmAutoDamage}}
          </select>
        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.AutoFastForwardDamage.Name"}}</label>
          <input type="checkbox" name="gmAutoFastForwardDamage" data-dtype="Boolean" {{checked
            configSettings.gmAutoFastForwardDamage}} />
        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.AverageNPCDamage.Name"}}</label>
          <input type="checkbox" name="averageNPCDamage" data-dtype="Boolean" {{checked
            configSettings.averageNPCDamage}} />
        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.RemoveButtons.Name"}}</label>
          <select name="gmRemoveButtons" data-dtype="String">
            {{selectOptions removeButtonsOptions selected=configSettings.gmRemoveButtons}}
          </select>
        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.HideRollDetails.Name"}}</label>
          <select name="hideRollDetails" data-dtype="String">
            {{selectOptions hideRollDetailsOptions selected=configSettings.hideRollDetails}}
          </select>
          <ul>
            {{#each hideRollDetailsHint as |label val|}}
            <li class="notes midi-qol-faint">
              {{{label}}}
            </li>
            {{/each}}
          </ul>
        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.GMHide3dDice.Name"}}</label>
          <input type="checkbox" name="gmHide3dDice" data-dtype="Boolean" {{checked configSettings.gmHide3dDice}} />
        </div>
        <div class="form-group">
          <label>{{localize "midi-qol.GhostRolls.Name"}}</label>
          <input type="checkbox" name="ghostRolls" data-dtype="Boolean" {{checked configSettings.ghostRolls}} />
        </div>
        <div class="form-group">
          <label>{{localize "midi-qol.AddFakeDice.Name"}}</label>
          <input type="checkbox" name="addFakeDice" data-dtype="Boolean" {{checked configSettings.addFakeDice}} />
        </div>
      </div>
    </div>

    <!-- Player Tab -->
    <div class="tab" data-tab="player" data-group="sections">
      <div class="midi-qol-box">

        <div class="form-group">
          <label>{{localize "midi-qol.AutoAttack.Name"}}</label>
          <input type="checkbox" name="autoRollAttack" data-dtype="Boolean" {{checked configSettings.autoRollAttack}} />
        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.ConsumeResource.Name"}}</label>
          <select name="consumeResource" data-dtype="String">
            {{selectOptions ConsumeResourceOptions selected=configSettings.consumeResource}}
          </select>
        </div>
        <div class="notes midi-qol-faint">{{{localize "midi-qol.ConsumeResource.Hint"}}}</div>

        <div class="form-group">
          <label>{{localize "midi-qol.AutoDamage.Name"}}</label>
          <select name="autoRollDamage" data-dtype="String">
            {{selectOptions autoRollDamageOptions selected=configSettings.autoRollDamage}}
          </select>
        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.AutoFastForward.Name"}}</label>
          <select name="autoFastForward" data-dtype="String">
            {{selectOptions clickOptions selected=configSettings.autoFastForward}}
          </select>
        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.RemoveButtons.Name"}}</label>
          <select name="removeButtons" data-dtype="String">
            {{selectOptions removeButtonsOptions selected=configSettings.removeButtons}}
          </select>
        </div>

      </div>

    </div>

    <!-- Workflow Tab -->
    <div class="tab midi-scrollable-list" data-tab="workflow" data-group="sections">
      <!-- Targeting-->
      <div class="midi-qol-box"> {{ localize "midi-qol.Targeting"}}
        <div class="form-group">
          <label>{{localize "midi-qol.AutoTarget.Name"}}</label>
          <select name="autoTarget" data-dtype="String">
            {{selectOptions autoTargetOptions selected=configSettings.autoTarget}}
          </select>
          <div class="notes midi-qol-faint">{{{localize "midi-qol.AutoTarget.Hint"}}}</div>
        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.AutoRemoveTemplate.Name"}}</label>
          <input id="autoRemoveTemplate" type="checkbox" name="autoRemoveTemplate" data-dtype="Boolean" {{checked
            configSettings.autoRemoveTemplate}} />
        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.RangeTarget.Name"}}</label>
          <select name="rangeTarget" data-dtype="String">
            {{selectOptions rangeTargetOptions selected=configSettings.rangeTarget}}
          </select>
          <div class="notes midi-qol-faint">{{{localize "midi-qol.RangeTarget.Hint"}}}</div>
        </div>

        <div class="midi-qol-box">
          <div class="form-group">
            <label>{{localize "midi-qol.RequiresTargets.Name"}}</label>
            <select name="requiresTargets" data-dtype="String">
              {{selectOptions requiresTargetsOptions selected=configSettings.requiresTargets}}
            </select>
            <div class="notes midi-qol-faint">{{{localize "midi-qol.RequiresTargets.Hint"}}}</div>
          </div>

          <div class="form-group">
            <label>{{localize "midi-qol.EnforceSingleWeaponTarget.Name"}}</label>
            <input id="enforceSingleWeaponTarget" type="checkbox" name="enforceSingleWeaponTarget" data-dtype="Boolean"
              {{checked configSettings.enforceSingleWeaponTarget}} />
            <div class="notes midi-qol-faint">{{{localize "midi-qol.EnforceSingleWeaponTarget.Hint"}}}</div>
          </div>
        </div>
      </div>
      <!-- Specials -->
      <div class="midi-qol-box"> {{ localize "midi-qol.Special"}}

        <div class="form-group">
          <label>{{localize "midi-qol.AutoEffects.Name"}}</label>
          <select name="autoItemEffects" data-dtype="String">
            {{selectOptions AutoEffectsOptions selected=configSettings.autoItemEffects}}
          </select>
          <p class="notes midi-qol-faint">{{{localize "midi-qol.AutoEffects.Hint"}}}</p>
        </div>

        {{#if hasConvenientEffects}}
        <div class="form-group">
          <label>{{localize "midi-qol.AutoCEEffects.Name"}}</label>
          <select name="autoCEEffects" data-dtype="String">
            {{selectOptions AutoCEEffectsOptions selected=configSettings.autoCEEffects}}
          </select>
          <p class="notes midi-qol-faint">{{{localize "midi-qol.AutoCEEffects.Hint"}}}</p>
        </div>

        {{/if}}

        {{#if false}}
        <div class="form-group">
          <label>{{localize "midi-qol.ItemRollStartWorkflow.Name"}}</label>
          <input type="checkbox" name="itemRollStartWorkflow" data-dtype="Boolean" {{checked
            configSettings.itemRollStartWorkflow}} />
          <div class="notes midi-qol-faint">{{{localize "midi-qol.ItemRollStartWorkflow.Hint"}}}</div>
        </div>

        {{/if}}
      </div>

      <!-- Hits-->
      <div class="midi-qol-box"> {{localize "midi-qol.Hits"}}
        <div class="form-group">
          <label>{{localize "midi-qol.AutoCheckHit.Name"}}</label>
          <select name="autoCheckHit" data-dtype="String">
            {{selectOptions autoCheckHitOptions selected=configSettings.autoCheckHit}}
          </select>
          <div class="notes midi-qol-faint">{{{localize "midi-qol.AutoCheckHit.Hint"}}}</div>
        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.AttackPerTarget.Name"}}</label>
          <input type="checkbox" name="attackPerTarget" data-dtype="Boolean" {{checked
            configSettings.attackPerTarget}} />
        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.DisplayHitResultNumeric.Name"}}</label>
          <input type="checkbox" name="displayHitResultNumeric" data-dtype="Boolean" {{checked
            configSettings.displayHitResultNumeric}} />
        </div>
      </div>

      <!-- Saves-->
      <div class="midi-qol-box"> {{localize "midi-qol.Saves"}}
        <div class="form-group">
          <label>{{localize "midi-qol.AutoCheckSaves.Name"}}</label>
          <select name="autoCheckSaves" data-dtype="String">
            {{selectOptions autoCheckSavesOptions selected=configSettings.autoCheckSaves}}
          </select>
          <div class="notes midi-qol-faint">{{localize "midi-qol.AutoCheckSaves.Hint"}}</div>
        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.DisplaySaveDC.Name"}}</label>
          <input type="checkbox" name="displaySaveDC" data-dtype="Boolean" {{checked configSettings.displaySaveDC}} />
          <div class="notes midi-qol-faint">{{{localize "midi-qol.DisplaySaveDC.Hint"}}}</div>
        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.DisplaySaveAdvantage.Name"}}</label>
          <input type="checkbox" name="displaySaveAdvantage" data-dtype="Boolean" {{checked
            configSettings.displaySaveAdvantage}} />
        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.CheckSaveText.Name"}}</label>
          <input type="checkbox" name="checkSaveText" data-dtype="Boolean" {{checked configSettings.checkSaveText}} />
          <div class="notes midi-qol-faint">{{{localize "midi-qol.CheckSaveText.Hint"}}}</div>
        </div>

        <div class="form-group flexrow">
          <label style="width:100%; flex-grow:10;">{{localize "midi-qol.DefaultSaveMult.Name"}}</label>
          <input style="width:10%; flex-shrink:20;" type="number" step="any" name="defaultSaveMult"
            value="{{configSettings.defaultSaveMult}}" />
          <div class="notes midi-qol-faint">{{{localize "midi-qol.DefaultSaveMult.Hint"}}}</div>
        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.PlayerRollSaves.Name"}}</label>
          <select name="playerRollSaves" data-dtype="String">
            {{selectOptions playerRollSavesOptions selected=configSettings.playerRollSaves}}
          </select>
          <div class="notes midi-qol-faint">{{{localize "midi-qol.PlayerRollSaves.Hint"}}}</div>
        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.rollNPCSaves.Name"}}</label>
          <select name="rollNPCSaves" data-dtype="String">
            {{selectOptions rollNPCSavesOptions selected=configSettings.rollNPCSaves}}
          </select>
        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.rollNPCLinkedSaves.Name"}}</label>
          <select name="rollNPCLinkedSaves" data-dtype="String">
            {{selectOptions rollNPCSavesOptions selected=configSettings.rollNPCLinkedSaves}}
          </select>
          <div class="notes midi-qol-faint">{{{localize "midi-qol.rollNPCSaves.Hint"}}}</div>
        </div>
        <div class="form-group">
          <label>{{localize "midi-qol.PlayerSaveTimeout.Name"}}</label>
          <input type="number" name="playerSaveTimeout" value="{{configSettings.playerSaveTimeout}}" />
          <div class="notes midi-qol-faint">{{{localize "midi-qol.PlayerSaveTimeout.Hint"}}}</div>
        </div>
      </div>

      <!-- Damage -->
      <div class="midi-qol-box">
        {{localize "midi-qol.Damage" }}

        <div class="form-group">
          <label>{{localize "midi-qol.PromptDamageRoll.Name"}}</label>
          <input type="checkbox" name="promptDamageRoll" data-dtype="Boolean" {{checked
            configSettings.promptDamageRoll}} />
          <div class="notes midi-qol-faint">{{{localize "midi-qol.PromptDamageRoll.Hint"}}}</div>
        </div>

        <div class="midi-qol-box">
          <div class="form-group">
            <label>{{localize "midi-qol.AutoApplyDamage.Name"}}</label>
            <select name="autoApplyDamage" data-dtype="String">
              {{selectOptions autoApplyDamageOptions selected=configSettings.autoApplyDamage}}
            </select>
          </div>

          <div class="form-group">
            <label>{{localize "midi-qol.v3DamageApplication.Name"}}</label>
            <input type="checkbox" name="v3DamageApplication" data-dtype="Boolean" {{checked
              configSettings.v3DamageApplication}} />
            <div class="notes midi-qol-faint">{{{localize "midi-qol.v3DamageApplication.Hint"}}}</div>
          </div>

          <div class="form-group">
            <label>{{localize "midi-qol.PlayerDamageCard.Name"}}</label>
            <select name="playerDamageCard" data-dtype="String">
              {{selectOptions playerDamageCardOptions selected=configSettings.playerDamageCard}}
            </select>
            <div class="notes midi-qol-faint">{{{localize "midi-qol.PlayerDamageCard.Hint"}}}</div>
          </div>

          <div class="form-group">
            <label>{{localize "midi-qol.PlayerCardDamageDifferent.Name"}}</label>
            <input type="checkbox" name="playerCardDamageDifferent" data-dtype="Boolean" {{checked
              configSettings.playerCardDamageDifferent}} />
          </div>
        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.DamageImmunities.Name"}}</label>
          <select name="damageImmunities" data-dtype="String">
            {{selectOptions damageImmunitiesOptions selected=configSettings.damageImmunities}}
          </select>
          <div class="notes midi-qol-faint">{{{localize "midi-qol.DamageImmunities.Hint"}}}</div>
        </div>

        <div class="form-group flexrow">
          <label style="width:100%; flex-grow:10;">{{localize "midi-qol.DamageImmunityMultiplier.Name"}}</label>
          <input style="width:10%; flex-shrink:20;" type="number" step="any" name="damageImmunityMultiplier"
            value="{{configSettings.damageImmunityMultiplier}}" />
        </div>

        <div class="form-group flexrow">
          <label style="width:100%; flex-grow:10;">{{localize "midi-qol.DamageResistanceMultiplier.Name"}}</label>
          <input style="width:10%; flex-shrink:20;" type="number" step="any" name="damageResistanceMultiplier"
            value="{{configSettings.damageResistanceMultiplier}}" />
        </div>

        <div class="form-group flexrow">
          <label style="width:100%; flex-grow:10;">{{localize "midi-qol.DamageVulnerabilityMultiplier.Name"}}</label>
          <input style="width:10%; flex-shrink:20;" type="number" step="any" name="damageVulnerabilityMultiplier"
            value="{{configSettings.damageVulnerabilityMultiplier}}" />
        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.SaveDROrder.Name"}}</label>
          <select name="saveDROrder" data-dtype="String">
            {{selectOptions SaveDROrderOptions selected=configSettings.saveDROrder}}
          </select>
          <div class="notes midi-qol-faint">{{{localize "midi-qol.SaveDROrder.Hint"}}}</div>
        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.RequireMagical.Name"}}</label>
          <select name="requireMagical" data-dtype="String">
            {{selectOptions RequireMagicalOptions selected=configSettings.requireMagical}}
          </select>
          <div class="notes midi-qol-faint">{{{localize "midi-qol.RequireMagical.Hint"}}}</div>
        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.RollOtherDamage.Name"}}</label>
          <select name="rollOtherDamage" data-dtype="String">
            {{selectOptions rollOtherDamageOptions selected=configSettings.rollOtherDamage}}
          </select>
        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.RollOtherSpellDamage.Name"}}</label>
          <select name="rollOtherSpellDamage" data-dtype="String">
            {{selectOptions rollOtherDamageOptions selected=configSettings.rollOtherSpellDamage}}
          </select>
          <div class="notes midi-qol-faint">{{{localize "midi-qol.RollOtherDamage.Hint"}}}</div>
        </div>
      </div>
    </div>

    <!-- Concentration tab-->
    <div class="tab" data-tab="concentration" data-group="sections">
      <!-- Concentration-->
      <div class="midi-qol-box">
        <div class="form-group">
          <label>{{localize "midi-qol.ConcentrationAutomation.Name"}}</label>
          <input type="checkbox" name="concentrationAutomation" data-dtype="Boolean" {{checked
            configSettings.concentrationAutomation}} />
          <div class="notes midi-qol-faint">{{{localize "midi-qol.ConcentrationAutomation.Hint"}}}</div>
        </div>
      </div>

      <div class="midi-qol-box">
        <div class="form-group">
          <label>{{localize "midi-qol.DoConcentrationCheck.Name"}}</label>
          <input type="checkbox" name="doConcentrationCheck" data-dtype="Boolean" {{checked
            configSettings.doConcentrationCheck}} />
        </div>
        <div class="form-group">
          <label>{{localize "midi-qol.RemoveConcentration.Name"}}</label>
          <input type="checkbox" name="removeConcentration" data-dtype="Boolean" {{checked
            configSettings.removeConcentration}} />
        </div>
        <div class="form-group">
          <label>{{localize "midi-qol.ConcentrationIncapacitatedConditionCheck.Name"}}</label>
          <input type="checkbox" name="concentrationIncapacitatedConditionCheck" data-dtype="Boolean" {{checked
            configSettings.concentrationIncapacitatedConditionCheck}} />
          <div class="notes midi-qol-faint">{{localize "midi-qol.ConcentrationIncapacitatedConditionCheck.Hint"}}</div>
        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.SingleConcentrationRoll.Name"}}</label>
          <input type="checkbox" name="singleConcentrationRoll" data-dtype="Boolean" {{checked
            configSettings.singleConcentrationRoll}} />
          <div class="notes midi-qol-faint">{{localize "midi-qol.SingleConcentrationRoll.Hint"}}</div>
        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.TempHPDamageConcentrationCheck.Name"}}</label>
          <input type="checkbox" name="tempHPDamageConcentrationCheck" data-dtype="Boolean" {{checked
            configSettings.tempHPDamageConcentrationCheck}} />
          <div class="notes midi-qol-faint">{{localize "midi-qol.TempHPDamageConcentrationCheck.Hint"}}</div>
        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.RemoveConcentrationEffects.Name"}}</label>
          <select name="removeConcentrationEffects" data-dtype="String">
            {{selectOptions RemoveConcentrationEffectsOptions selected=configSettings.removeConcentrationEffects}}
          </select>
          <div class="notes midi-qol-faint">{{localize "midi-qol.RemoveConcentrationEffects.Hint"}}</div>
        </div>
      </div>
    </div>

    <!-- Reactions tab-->
    <div class="tab" data-tab="reactions" data-group="sections">
      <div class="midi-qol-box">
        <h4>{{localize "midi-qol.Reaction.Title"}}</h4>
        {{localize "midi-qol.Reactions"}}
        <div class="notes midi-qol-faint">{{{localize "midi-qol.DoReactions.Hint"}}}</div>
        <div class="form-group">
          <label>{{localize "midi-qol.DoReactions.Name"}}</label>
          <select name="doReactions" data-dtype="String">
            {{selectOptions doReactionsOptions selected=configSettings.doReactions}}
          </select>
        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.GMDoReactions.Name"}}</label>
          <select name="gmDoReactions" data-dtype="String">
            {{selectOptions gmDoReactionsOptions selected=configSettings.gmDoReactions}}
          </select>
        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.ReactionTimeout.Name"}}</label>
          <input type="number" name="reactionTimeout" value="{{configSettings.reactionTimeout}}" />
          <div class="notes midi-qol-faint">{{{localize "midi-qol.ReactionTimeout.Hint"}}}</div>
        </div>

        <div class="form-group ShowReactionChatMessage">
          <label>{{localize "midi-qol.ShowReactionChatMessage.Name"}}</label>
          <input id="showReactionChatMessage" type="checkbox" name="showReactionChatMessage" data-dtype="Boolean"
            {{checked configSettings.showReactionChatMessage}} />
        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.ShowReactionAttackRoll.Name"}}</label>
          <select name="showReactionAttackRoll" data-dtype="String">
            {{selectOptions showReactionAttackRollOptions selected=configSettings.showReactionAttackRoll}}
          </select>
        </div>

        <div class="form-group IgnoreSpellReactionRestriction">
          <label>{{localize "midi-qol.IgnoreSpellReactionRestriction.Name"}}</label>
          <input id="ignoreSpellReactionRestriction" type="checkbox" name="ignoreSpellReactionRestriction"
            data-dtype="Boolean" {{checked configSettings.ignoreSpellReactionRestriction}} />
          <div class="notes midi-qol-faint">{{{localize "midi-qol.IgnoreSpellReactionRestriction.Hint"}}}</div>
        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.EnforceReactions.Name"}}</label>
          <select name="enforceReactions" data-dtype="String">
            {{selectOptions EnforceReactionsOptions selected=configSettings.enforceReactions}}
          </select>
        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.EnforceBonusActions.Name"}}</label>
          <select name="enforceBonusActions" data-dtype="String">
            {{selectOptions EnforceReactionsOptions selected=configSettings.enforceBonusActions}}
          </select>
          <div class="notes midi-qol-faint">{{{localize "midi-qol.EnforceReactions.Hint"}}}</div>
        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.RecordAOO.Name"}}</label>
          <select name="recordAOO" data-dtype="String">
            {{selectOptions RecordAOOOptions selected=configSettings.recordAOO}}
          </select>
          <div class="notes midi-qol-faint">{{{localize "midi-qol.RecordAOO.Hint"}}}</div>
        </div>
      </div>
    </div>

    <!-- Mechanics Tab-->
    <div class="tab midi-scrollable-list" data-tab="game-mechanics" data-group="sections">
      <div class="midi-qol-box">
        <div class="form-group">
          <div class="flexrow 5">
            <label style="flex-grow: 2">{{localize "midi-qol.AddWounded.Name"}}</label>
            <input type="number" style="width:40px;" name="addWounded" value="{{configSettings.addWounded}}" />
            <select name="midiWoundedCondition" data-dtype="String">
              {{selectOptions StatusEffectOptions selected=configSettings.midiWoundedCondition}}
            </select>
            <select name="addWoundedStyle" data-dtype="String">
              {{selectOptions AddDeadOptions selected=configSettings.addWoundedStyle}}
            </select>
          </div>
        </div>
        <div class="notes midi-qol-faint">{{localize "midi-qol.AddWounded.Hint"}}</div>

        <div class="flexrow 5">
          <label style="flex-grow: 2"> </label>
          <label style="flex-grow: 1">{{localize "midi-qol.AddDead.Hint1"}}</label>
          <label style="flex-grow: 1">{{localize "midi-qol.AddDead.Hint2"}}</label>
          <label style="flex-grow: 1"> </label>
        </div>
        <div class="form-group">
          <div class="flexrow 5">
            <label style="flex-grow: 2">{{localize "midi-qol.AddDead.Name"}}</label>
            <select name="midiUnconsciousCondition" data-dtype="String">
              {{selectOptions StatusEffectOptions selected=configSettings.midiUnconsciousCondition}}
            </select>
            <select name="midiDeadCondition" data-dtype="String">
              {{selectOptions StatusEffectOptions selected=configSettings.midiDeadCondition}}
            </select>
            <select name="addDead" data-dtype="String">
              {{selectOptions AddDeadOptions selected=configSettings.addDead}}
            </select>
          </div>
        </div>
      </div>

      <div class="midi-qol-box">
        <div class="form-group">
          <label>{{localize "midi-qol.RollChecksBlind.Name"}}</label>
          <select class="midi-qol-blind-select" name="rollChecksBlind" multiple>
            {{selectOptions RollChecksBlindOptions selected=configSettings.rollChecksBlind}}
          </select>
        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.RollSavesBlind.Name"}}</label>
          <select class="midi-qol-blind-select" name="rollSavesBlind" multiple>
            {{selectOptions RollSavesBlindOptions selected=configSettings.rollSavesBlind}}
          </select>
        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.RollSkillsBlind.Name"}}</label>
          <select class="midi-qol-blind-select" name="rollSkillsBlind" multiple>
            {{selectOptions RollSkillsBlindOptions selected=configSettings.rollSkillsBlind}}
          </select>
        </div>
      </div>
      <div class="midi-qol-box">
        <div class="form-group">
          <label>{{localize "midi-qol.ActionSpecialDurationImmediate.Name"}}</label>
          <input type="checkbox" name="optionalRules.actionSpecialDurationImmediate" data-dtype="Boolean" {{checked
            configSettings.optionalRules.actionSpecialDurationImmediate}} />
          <div class="notes midi-qol-faint">{{localize "midi-qol.ActionSpecialDurationImmediate.Hint"}}</div>
        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.Incapacitated.Name"}}</label>
          <input type="checkbox" name="optionalRules.incapacitated" data-dtype="Boolean" {{checked
            configSettings.optionalRules.incapacitated}} />
        </div>
      </div>

      <div class="midi-qol-box">
        <div class="form-group">
          <label>{{localize "midi-qol.CheckRange.Name"}}</label>
          <select name="optionalRules.checkRange" data-dtype="String">
            {{selectOptions CheckRangeOptions selected=configSettings.optionalRules.checkRange}}
          </select>
        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.GridlessFudge.Name"}}</label>
          <input type="number" step="0.1" style="width:40px;" name="gridlessFudge"
            value="{{configSettings.gridlessFudge}}" />
        </div>
        <div class="notes midi-qol-faint">{{localize "midi-qol.GridlessFudge.Hint"}}</div>
        <div class="form-group">
          <label>{{localize "midi-qol.GriddedGridless.Name"}}</label>
          <input type="checkbox" name="griddedGridless" data-dtype="Boolean" {{checked
            configSettings.griddedGridless}} />
        </div>
        <div class="notes midi-qol-faint">{{localize "midi-qol.GriddedGridless.Hint"}}</div>
      </div>
      <div class="form-group">
        <label>{{localize "midi-qol.WallsBlockRange.Name"}}</label>
        <select name="optionalRules.wallsBlockRange" data-dtype="String">
          {{selectOptions wallsBlockRangeOptions selected=configSettings.optionalRules.wallsBlockRange}}
        </select>
        <div class="notes midi-qol-faint">{{localize "midi-qol.WallsBlockRange.Hint1"}}</div>
        <div class="notes midi-qol-faint">{{localize "midi-qol.WallsBlockRange.Hint2"}}</div>
        <div class="notes midi-qol-faint">{{localize "midi-qol.WallsBlockRange.Hint3"}}</div>
        <div class="notes midi-qol-faint">{{localize "midi-qol.WallsBlockRange.Hint4"}}</div>
        <div class="notes midi-qol-faint">{{localize "midi-qol.WallsBlockRange.Hint5"}}</div>
      </div>

      <div class="form-group">
        <label>{{localize "midi-qol.CoverCalculation.Name"}}</label>
        <select name="optionalRules.coverCalculation" data-dtype="String">
          {{selectOptions CoverCalculationOptions selected=configSettings.optionalRules.coverCalculation}}
        </select>
        <div class="notes midi-qol-faint">{{localize "midi-qol.CoverCalculation.Hint"}}</div>
      </div>

      <div class="form-group">
        <label>{{localize "midi-qol.DistanceIncludesHeight.Name"}}</label>
        <input type="checkbox" name="optionalRules.distanceIncludesHeight" data-dtype="Boolean" {{checked
          configSettings.optionalRules.distanceIncludesHeight}} />
      </div>

      <div class="midi-qol-box">
        <div class="form-group">
          <label>{{localize "midi-qol.SkillAbilityCheckAdvantage.Name"}}</label>
          <input type="checkbox" name="skillAbilityCheckAdvantage" data-dtype="Boolean" {{checked
            configSettings.skillAbilityCheckAdvantage}} />
          <div class="notes midi-qol-faint">{{localize "midi-qol.SkillAbilityCheckAdvantage.Hint"}}</div>
        </div>

      </div>

      <div class="midi-qol-box">
        <div class="form-group">
          <label>{{localize "midi-qol.DisplayBonusRolls.Name"}}</label>
          <input type="checkbox" name="optionalRules.displayBonusRolls" data-dtype="Boolean" {{checked
            configSettings.optionalRules.displayBonusRolls}} />
          <div class="notes midi-qol-faint">{{localize "midi-qol.DisplayBonusRolls.Hint"}}</div>
        </div>
      </div>

      <div class="midi-qol-box">
        <div class="form-group">
          <label>{{localize "midi-qol.AutoRerollInitiative.Name"}}</label>
          <input type="checkbox" name="optionalRules.autoRerollInitiative" data-dtype="Boolean" {{checked
            configSettings.optionalRules.autoRerollInitiative}} />
          <div class="notes midi-qol-faint">{{localize "midi-qol.AutoRerollInitiative.Hint"}}</div>
        </div>
      </div>

      <div class="midi-qol-box">
        <div class="form-group">
          <label>{{localize "midi-qol.UndoWorkflow.Name"}}</label>
          <input type="checkbox" name="undoWorkflow" data-dtype="Boolean" {{checked configSettings.undoWorkflow}} />
        </div>
        <div class="notes midi-qol-faint">{{localize "midi-qol.UndoWorkflow.Hint"}}</div>
        <div class="form-group">
          <label>{{localize "midi-qol.UndoChatColor.Name"}}</label>
          <select name="undoChatColor" data-dtype="String">
            {{selectOptions ColorOptions selected=configSettings.undoChatColor}}
          </select>
          <div class="notes midi-qol-faint">{{localize "midi-qol.UndoChatColor.Hint"}}</div>
        </div>
      </div>
    </div>

    <!-- Optional Rules Tab-->
    <div class="tab midi-scrollable-list" data-tab="optional-rules" data-group="sections">
      <div class="midi-qol-box">
        <div class="form-group optionalRulesEnabled">
          <label>{{localize "midi-qol.OptionalRules.Name"}}</label>
          <input type="checkbox" name="optionalRulesEnabled" data-dtype="Boolean" {{checked
            configSettings.optionalRulesEnabled}} />
        </div>
        <div>

          {{#unless configSettings.optionalRulesEnabled}}
          {{{localize "midi-qol.OptionalRules.Hint"}}}
          {{/unless}}
          {{#if configSettings.optionalRulesEnabled}}


          <div class="form-group">
            <label>{{localize "midi-qol.CheckFlanking.Name"}}</label>
            <select name="optionalRules.checkFlanking" data-dtype="String">
              {{selectOptions checkFlankingOptions selected=configSettings.optionalRules.checkFlanking}}
            </select>
            <div class="notes midi-qol-faint">{{{localize "midi-qol.CheckFlanking.Hint"}}}</div>
          </div>

          <div class="midi-qol-box">
            <div class="form-group">
              <label>{{localize "midi-qol.InvisAdvantage.Name"}}</label>
              <select name="optionalRules.invisAdvantage" data-dtype="String">
                {{selectOptions InvisAdvantageOptions selected=configSettings.optionalRules.invisAdvantage}}
              </select>
              <div class="notes midi-qol-faint">{{{localize "midi-qol.InvisAdvantage.Hint"}}}</div>
              <div class="notes midi-qol-faint">{{{localize "midi-qol.CantSeeAdvantage.Hint"}}}</div>
            </div>

            <div class="form-group">
              <label>{{localize "midi-qol.HiddenAdvantage.Name"}}</label>
              <select name="optionalRules.hiddenAdvantage" data-dtype="String">
                {{selectOptions HiddenAdvantageOptions selected=configSettings.optionalRules.hiddenAdvantage}}
              </select>
              <div class="notes midi-qol-faint">{{{localize "midi-qol.HiddenAdvantage.Hint"}}}</div>
            </div>

            <div class="form-group">
              <label>{{localize "midi-qol.InvisVision.Name"}}</label>
              <input type="checkbox" name="optionalRules.invisVision" data-dtype="Boolean" {{checked
                configSettings.optionalRules.invisVision}} />
              <div class="notes midi-qol-faint">{{{localize "midi-qol.InvisVision.Hint"}}}</div>
            </div>
          </div>

          <div class="form-group">
            <label>{{localize "midi-qol.RemoveHiddenInvis.Name"}}</label>
            <input type="checkbox" name="optionalRules.removeHiddenInvis" data-dtype="Boolean" {{checked
              configSettings.optionalRules.removeHiddenInvis}} />
          </div>


          <div class="form-group">
            <span>
              <label>{{localize "midi-qol.NearbyFoe.Name"}}</label>
              <input type="number" step="0.1" style="width:40px;" name="optionalRules.nearbyFoe"
                value="{{configSettings.optionalRules.nearbyFoe}}" />
            </span>
          </div>

          <div class="midi-qol-box">
            <div class="form-group">
              <label style>{{localize "midi-qol.MaxDRValue.Name"}}</label>
              <input type="checkbox" name="optionalRules.maxDRValue" data-dtype="Boolean" {{checked
                configSettings.optionalRules.maxDRValue}} />
            </div>
            <div class="form-group">
              <label style>{{localize "midi-qol.DRAllPerDamageDetail.Name"}}</label>
              <input type="checkbox" name="optionalRules.DRAllPerDamageDetail" data-dtype="Boolean" {{checked
                configSettings.optionalRules.DRAllPerDamageDetail}} />
            </div>
            <div class="notes midi-qol-faint">{{{localize "midi-qol.DRAllPerDamageDetail.Hint"}}}</div>

          </div>
          <div class="form-group">
            <label style>{{localize "midi-qol.CriticalSaves.Name"}}</label>
            <input type="checkbox" name="optionalRules.criticalSaves" data-dtype="Boolean" {{checked
              configSettings.optionalRules.criticalSaves}} />
          </div>

          <div class="midi-qol-box">
            <div class="form-group">
              <span>
                <label>{{localize "midi-qol.OptionalCritRule.Name"}}</label>
                <input type="number" style="width:40px;" name="optionalRules.optionalCritRule"
                  value="{{configSettings.optionalRules.optionalCritRule}}" />
              </span>
            </div>
            <div class="notes midi-qol-faint">{{{localize "midi-qol.OptionalCritRule.Hint"}}}</div>

            <div class="form-group">
              <label style>{{localize "midi-qol.CriticalNat20.Name"}}</label>
              <input type="checkbox" name="optionalRules.criticalNat20" data-dtype="Boolean" {{checked
                configSettings.optionalRules.criticalNat20}} />
              <div class="notes midi-qol-faint">{{{localize "midi-qol.CriticalNat20.Hint"}}}</div>
            </div>
          </div>
          <div class="form-group">
            <span>
              <label>{{localize "midi-qol.NearbyAllyRanged.Name"}}</label>
              <input type="number" step="0.1" style="width:40px;" name="optionalRules.nearbyAllyRanged"
                value="{{configSettings.optionalRules.nearbyAllyRanged}}" />
            </span>
            <div class="notes midi-qol-faint">{{{localize "midi-qol.NearbyAllyRanged.Hint"}}}</div>
          </div>

          <div class="midi-qol-box">
            <div class="form-group">
              <span>
                <label>{{localize "midi-qol.ActiveDefence.Name"}}</label>
                <input type="checkbox" style="width:40px;" name="optionalRules.activeDefence" data-dtype="Boolean"
                  {{checked configSettings.optionalRules.activeDefence}}
                  value="{{configSettings.optionalRules.activeDefence}}" data-dtype="Boolean" />
              </span>
              <div class="notes midi-qol-faint">{{{localize "midi-qol.ActiveDefence.Hint"}}}</div>
            </div>

            <div class="form-group">
              <span>
                <label>{{localize "midi-qol.ActiveDefenceShowGM.Name"}}</label>
                <input type="checkbox" style="width:40px;" name="optionalRules.activeDefenceShowGM" data-dtype="Boolean"
                  {{checked configSettings.optionalRules.activeDefenceShowGM}}
                  value="{{configSettings.optionalRules.activeDefenceShowGM}}" data-dtype="Boolean" />
              </span>
            </div>
          </div>

          <div class="midi-qol-box">
            <div class="form-group">
              <label>{{localize "midi-qol.ChallengeModeArmor.Name"}}</label>
              <select class="midi-qol-blind-select" name="optionalRules.challengeModeArmor">
                {{selectOptions ChallengeModeArmorOptions selected=configSettings.optionalRules.challengeModeArmor}}
              </select>
              <div class="notes midi-qol-faint">{{{localize "midi-qol.ChallengeModeArmor.Hint"}}}</div>
              <div class="notes midi-qol-faint">{{{localize "midi-qol.ChallengeModeArmorScale.Hint"}}}</div>
              <div class="notes midi-qol-faint">{{{localize "midi-qol.ChallengeModeArmorScaleNoAR.Hint"}}}</div>
            </div>

          </div>

          {{/if}}
        </div>

        <div class="midi-qol-box">
          <div class="form-group">
            <label>{{localize "midi-qol.OptionalRuleVitality.Name"}}</label>
            <input type="text" name="optionalRules.vitalityResource"
              value="{{configSettings.optionalRules.vitalityResource}}" />
            <div class="notes midi-qol-faint">{{{localize "midi-qol.OptionalRuleVitality.Hint"}}}</div>
          </div>
        </div>
      </div>

      <div class="midi-qol-box">
        <div class="form-group">
          <label>{{localize "midi-qol.ddbGL.Name"}}</label>
          <input type="checkbox" name="optionalRules.enableddbGL" data-dtype="Boolean" {{checked
            configSettings.optionalRules.enableddbGL}} />
          <div class="notes midi-qol-faint">{{{localize "midi-qol.ddbGL.Hint"}}}</div>
        </div>
      </div>
    </div>

    <!-- Misc Tab -->
    <div class="tab midi-scrollable-list" data-tab="misc" data-group="sections">
      <div class="midi-qol-box">
        <button type="button" name="export-config" id="midi-qol-export-config">
          <i class="fas fa-dice-d20"></i> {{localize "midi-qol.ExportConfig"}}
        </button>
        <button type="button" name="import-config" id="midi-qol-import-config">
          <i class="fas fa-dice-d20"></i> {{localize "midi-qol.ImportConfig"}}
        </button>
      </div>

      <div class="midi-qol-box">
        <div class="form-group">
          <label>{{localize "midi-qol.MidiFieldsTab.Name"}}</label>
          <input type="checkbox" name="midiFieldsTab" data-dtype="Boolean" {{checked configSettings.midiFieldsTab}} />
        </div>

        <div class="form-group midiPropoertiesTab">
          <label>{{localize "midi-qol.MidiPropertiesTab.Name"}}</label>
          <select name="midiPropertiesTabRole" data-dtype="String">
             {{selectOptions midiPropertiesTabOptions selected=configSettings.midiPropertiesTabRole}}
          </select>
          <div class="notes midi-qol-faint">{{{localize "midi-qol.MidiPropertiesTab.Hint"}}}</div>
        </div>
        
        <div class="form-group allowActorUseMacro">
          <label>{{localize "midi-qol.AllowActorUseMacro.Name"}}</label>
          <input id="allowActorUseMacro" type="checkbox" name="allowActorUseMacro" data-dtype="Boolean" {{checked
            configSettings.allowActorUseMacro}} />
        </div>

        <div class="form-group allowUseMacro">
          <label>{{localize "midi-qol.AllowUseMacro.Name"}}</label>
          <input id="allowUseMacro" type="checkbox" name="allowUseMacro" data-dtype="Boolean" {{checked
            configSettings.allowUseMacro}} />
          <div class="notes midi-qol-faint">{{{localize "midi-qol.AllowUseMacro.Hint"}}}</div>
        </div>
      </div>

      <div class="midi-qol-box">
        <div class="form-group flexrow">
          <div style="flex-grow:3">
            <label>{{localize "midi-qol.ShowItemDetails.Name"}}</label>
            <select name="showItemDetails" data-dtype="String">
              {{selectOptions showItemDetailsOptions selected=configSettings.showItemDetails}}
            </select>
            <label>{{localize "midi-qol.DisplayItems"}}</label>
            <a class="itemTypeListEdit" style="flex-shrink:3" data-action="edit"
              title="{{localize 'midi-qol.ItemList'}}">
              <i class=" fas fa-edit"></i>
            </a>
          </div>
          <div class="notes midi-qol-faint">{{{localize "midi-qol.ShowItemDetails.Hint"}}}</div>
        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.MergeCard.Name"}}</label>
          <input type="checkbox" name="mergeCard" data-dtype="Boolean" {{checked configSettings.mergeCard}} />
          <div class="notes midi-qol-faint">{{{localize "midi-qol.MergeCard.Hint"}}}</div>
        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.MergeCardCondensed.Name"}}</label>
          <input type="checkbox" name="mergeCardCondensed" data-dtype="Boolean" {{checked
            configSettings.mergeCardCondensed}} />
          <div class="notes midi-qol-faint">{{{localize "midi-qol.MergeCardCondensed.Hint"}}}</div>
        </div>
        <!--
        <div class="form-group">
          <label>{{localize "midi-qol.MergeCardMultiDamage.Name"}}multi damage</label>
          <input type="checkbox" name="mergeCardMultiDamage" data-dtype="Boolean" {{checked
            configSettings.mergeCardMultiDamage}} />
        </div>
      -->
        <div class="form-group">
          <label>{{localize "midi-qol.MergeCardMulti.Name"}}</label>
          <input type="checkbox" name="mergeCardMulti" data-dtype="Boolean" {{checked configSettings.mergeCardMulti}} />
          <div class="notes midi-qol-faint">{{{localize "midi-qol.MergeCardMulti.Hint"}}}</div>
        </div>

        <div class="midi-qol-box">
          <div class="form-group">
            <label>{{localize "midi-qol.ConfirmAttackDamage.Name"}}</label>
            <select name="confirmAttackDamage" data-dtype="String">
              {{selectOptions ConfirmAttackDamageOptions selected=configSettings.confirmAttackDamage}}
            </select>
            <div class="notes midi-qol-faint">{{{localize "midi-qol.ConfirmAttackDamage.Hint"}}}</div>
          </div>

          <div class="form-group">
            <label>{{localize "midi-qol.AutoCompleteWorkflow.Name"}}</label>
            <input type="checkbox" name="autoCompleteWorkflow" data-dtype="Boolean" {{checked
              configSettings.autoCompleteWorkflow}} />
            <div class="notes midi-qol-faint">{{{localize "midi-qol.AutoCompleteWorkflow.Hint"}}}</div>
          </div>
        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.HighlightSuccess.Name"}}</label>
          <input type="checkbox" name="highlightSuccess" data-dtype="Boolean" {{checked
            configSettings.highlightSuccess}} />
          <div class="notes midi-qol-faint">{{{localize "midi-qol.HighlightSuccess.Hint"}}}</div>
        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.RollAlternate.Name"}}</label>
          <select name="rollAlternate" data-dtype="String">
            {{selectOptions rollAlternateOptions selected=configSettings.rollAlternate}}
          </select>
          <div class="notes midi-qol-faint">{{{localize "midi-qol.RollAlternate.Hint"}}}</div>
        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.ShowFastForward.Name"}}</label>
          <input type="checkbox" name="showFastForward" data-dtype="Boolean" {{checked
            configSettings.showFastForward}} />
            <div class="notes midi-qol-faint">{{{localize "midi-qol.ShowFastForward.Hint"}}}</div>
          </div>

      </div>
      <div class="midi-qol-box">
        <div class="form-group">
          <label>{{localize "midi-qol.UseTokenNames.Name"}}</label>
          <input type="checkbox" name="useTokenNames" data-dtype="Boolean" {{checked configSettings.useTokenNames}} />
          <div class="notes midi-qol-faint">{{{localize "midi-qol.UseTokenNames.Hint"}}}</div>
        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.UsePlayerPortrait.Name"}}</label>
          <input type="checkbox" name="usePlayerPortrait" data-dtype="Boolean" {{checked
            configSettings.usePlayerPortrait}} />
            <div class="notes midi-qol-faint">{{{localize "midi-qol.UsePlayerPortrait.Hint"}}}</div>
          </div>

      </div>
      <div class="midi-qol-box">
        <div class="form-group">
          <label>{{localize "midi-qol.KeepRollStats.Name"}}</label>
          <input type="checkbox" name="keepRollStats" data-dtype="Boolean" {{checked configSettings.keepRollStats}} />
          <div class="notes midi-qol-faint">{{{localize "midi-qol.KeepRollStats.Hint"}}}</div>
        </div>

        <div class="form-group">
          <span>
            <label>{{localize "midi-qol.SaveStatsEvery.Name"}}</label>
            <input type="number" style="width:40px;" name="saveStatsEvery" value="{{configSettings.saveStatsEvery}}" />
          </span>
          <div class="notes midi-qol-faint">{{{localize "midi-qol.SaveStatsEvery.Hint"}}}</div>
        </div>

        <div class="form-group">
          <label>{{localize "midi-qol.PlayerStatsOnly.Name"}}</label>
          <input type="checkbox" name="playerStatsOnly" data-dtype="Boolean" {{checked
            configSettings.playerStatsOnly}} />
            <div class="notes midi-qol-faint">{{{localize "midi-qol.PlayerStatsOnly.Hint"}}}</div>
          </div>
          <button type="button" name="show-stats" id="midi-qol-show-stats">
          <i class="fas fa-dice-d20"></i> {{localize "midi-qol.ShowStats"}}
        </button>
      </div>

      <div class=" midi-qol-box">
        <div>
          <!-- Speed Rolls -->
          <div>{{localize "midi-qol.WorldKeyMappings.Name"}}</div>
          <div class="notes midi-qol-faint">{{localize "midi-qol.WorldKeyMappings.Blurb1"}}</div>
          <div class="notes midi-qol-faint">{{localize "midi-qol.WorldKeyMappings.Blurb2"}}</div>
        </div>

        <div class="form-group stickyKeys">
          <label>{{localize "midi-qol.FixStickyKeys.Name"}}</label>
          <input type="checkbox" name="fixStickyKeys" data-dtype="Boolean" {{checked configSettings.fixStickyKeys}} />
          <div class="notes midi-qol-faint">{{{localize "midi-qol.FixStickyKeys.Hint"}}}</div>
        </div>
      </div>

      <div class=" midi-qol-box">
        <div class="form-group customSounds">
          <label>{{localize "midi-qol.UseCustomSounds.Name"}}</label>
          <input id="useCustomSounds" type="checkbox" name="useCustomSounds" data-dtype="Boolean" {{checked
            configSettings.useCustomSounds}} />
            <div class="notes midi-qol-faint">{{{localize "midi-qol.UseCustomSounds.Hint"}}}</div>
          </div>
      </div>
    </div>

    <!-- Quick Settings Tab-->
    <div class="tab" data-tab="quicksettings" data-group="sections">
      {{#each QuickSettingsBlurb as |line lineNum|}}
      {{line}}<br>
      {{/each}}
      <div class="midi-qol-box">
        <div class="column-button-container-mqol">
          {{#each quickSettingsOptions as |label val|}}
          <button type="quickbutton" class="import-quick-setting" style="text-align: left;" id={{val}}>
            <i class="fas fa-dice-d20"></i> {{ label }}
          </button>
          {{/each}}
        </div>
      </div>
    </div>
  </section>
  <footer class="sheet-footer flexrow 6" style="align-items: center">
    <label style="" flex-grow: 1">{{localize "midi-qol.SettingsSearch"}}</label>
    <input type="search" value="" style="flex-grow: 1" />
    <button type="submit" name="submit" style="flex-grow: 4">
      <i class="fas fa-save"></i> {{localize "midi-qol.Save"}}
    </button>
  </footer>
</form>